Subject: Re: bug#8366: wish: include vc-annotate-goto-line

From: martin rudalics <[email-masked]>
Date: Tue, 29 Mar 2011 10:47:35 +0200

> Annotate buffer may display a different version that the one of the
 > checked out file.  E.g. because you have local uncommitted changes, or
 > because you asked for the annotations of an older revision.  So line
 > numbers may not fully match.  In general, there's no much we can do
 > about it, but we should probably try a bit harder than the above,
 > e.g. by looking for the closest line with the same text as the line
 > we're looking for.  Better would be to ask for a diff between the
 > annotated revision and the current file and use it to find out the
 > line-offset to use (for those cases where this method works).

I'm often in need for a general, customizable function for finding the
best match of some text in two different buffers.  For example, to get
from a texinfo to an info buffer and vice-versa.  Any advances in that
direction would be very appreciated.

martin